Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBaseResultIterator

All Known Subinterfaces:
  IResultIterator

    public interface IBaseResultIterator

Method Summary
`void` | `close()` Closes this result set.
`IResultMetaData` | `getResultMetaData()` Returns the metadata of this result set's detail row.
`int` | `getRowIndex()` Each row has its own index, which indicates this row position in the result set.
`java.lang.Object` | `getValue(java.lang.String name)` Returns the value of a bound column
`boolean` | `isEmpty()` Indicate if the IResultSetIterator is empty or not
`boolean` | `next()` Move to the next record of the result set.

Method Detail

### getResultMetaData

    IResultMetaData getResultMetaData()
                                      throws org.eclipse.birt.core.exception.BirtException

  Returns the metadata of this result set's detail row.

  Returns:
    The result metadata of a detail row.
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getRowIndex

    int getRowIndex()
                    throws org.eclipse.birt.core.exception.BirtException

  Each row has its own index, which indicates this row position in the result set. This method retrieves current row index. The row index is 0 based, and -1 is returned when there is no current row.

  Returns:
    row index of current row
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if error occurs in Data Engine

### getValue

    java.lang.Object getValue(java.lang.String name)
                              throws org.eclipse.birt.core.exception.BirtException

  Returns the value of a bound column

  Parameters:
    `name` - of bound column
  Returns:
    value of bound column
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### close

    void close()
               throws org.eclipse.birt.core.exception.BirtException

  Closes this result set. Housekeeping all the resources allocated to this result set.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### isEmpty

    boolean isEmpty()
                    throws org.eclipse.birt.core.exception.BirtException

  Indicate if the IResultSetIterator is empty or not

  Returns:
    true if IResultSetIterator is empty. false if the IResultSetIterator is not empty.
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### next

    boolean next()
                 throws org.eclipse.birt.core.exception.BirtException

  Move to the next record of the result set.

  Returns:
    true if next element exists and has not reached the limit on the maximum number of rows that can be accessed.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if error occurs in Data Engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.